Bug 1123572 - [abrt] lyx: lyx::error_handler(): lyx killed by SIGABRT
Summary: [abrt] lyx: lyx::error_handler(): lyx killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lyx
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1b8d8dc61ed10c3df5dfec2980b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 18:41 UTC by Dj YB
Modified: 2014-10-10 16:05 UTC (History)
2 users (show)

Fixed In Version: lyx-2.1.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-03 04:01:45 UTC


Attachments (Terms of Use)
File: backtrace (30.98 KB, text/plain)
2014-07-26 18:41 UTC, Dj YB
no flags Details
File: cgroup (179 bytes, text/plain)
2014-07-26 18:41 UTC, Dj YB
no flags Details
File: core_backtrace (9.99 KB, text/plain)
2014-07-26 18:41 UTC, Dj YB
no flags Details
File: dso_list (11.89 KB, text/plain)
2014-07-26 18:42 UTC, Dj YB
no flags Details
File: environ (1.77 KB, text/plain)
2014-07-26 18:42 UTC, Dj YB
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-26 18:42 UTC, Dj YB
no flags Details
File: maps (61.93 KB, text/plain)
2014-07-26 18:42 UTC, Dj YB
no flags Details
File: open_fds (584 bytes, text/plain)
2014-07-26 18:42 UTC, Dj YB
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2014-07-26 18:42 UTC, Dj YB
no flags Details
File: var_log_messages (195 bytes, text/plain)
2014-07-26 18:42 UTC, Dj YB
no flags Details

Description Dj YB 2014-07-26 18:41:52 UTC
Description of problem:
LyX reported a crash after a computer restart. LyX was closed during shutdown while many documents were open in it. all dosuments were saved prior to shutdown.

Version-Release number of selected component:
lyx-2.1.0-2.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/lyx -session 1028c1d320b210000140602021500000012570789_1406302114_251354
crash_function: lyx::error_handler
executable:     /usr/bin/lyx
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 lyx::error_handler at LyX.cpp:692
 #4 lyx::frontend::GuiView::closeScheduled at GuiView.cpp:824
 #5 lyx::frontend::GuiApplication::closeAllViews at GuiApplication.cpp:2631
 #6 lyx::frontend::GuiApplication::notify at GuiApplication.cpp:2486
 #7 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:953
 #8 sendEvent at ../../src/corelib/kernel/qcoreapplication.h:231
 #9 QWidgetPrivate::close_helper at kernel/qwidget.cpp:7955
 #10 translateCloseEvent at kernel/qapplication_x11.cpp:5481
 #11 QApplication::x11ClientMessage at kernel/qapplication_x11.cpp:3177
 #12 QApplication::x11ProcessEvent at kernel/qapplication_x11.cpp:3802

Comment 1 Dj YB 2014-07-26 18:41:55 UTC
Created attachment 921218 [details]
File: backtrace

Comment 2 Dj YB 2014-07-26 18:41:57 UTC
Created attachment 921219 [details]
File: cgroup

Comment 3 Dj YB 2014-07-26 18:41:58 UTC
Created attachment 921220 [details]
File: core_backtrace

Comment 4 Dj YB 2014-07-26 18:42:00 UTC
Created attachment 921221 [details]
File: dso_list

Comment 5 Dj YB 2014-07-26 18:42:01 UTC
Created attachment 921222 [details]
File: environ

Comment 6 Dj YB 2014-07-26 18:42:02 UTC
Created attachment 921223 [details]
File: limits

Comment 7 Dj YB 2014-07-26 18:42:04 UTC
Created attachment 921224 [details]
File: maps

Comment 8 Dj YB 2014-07-26 18:42:06 UTC
Created attachment 921225 [details]
File: open_fds

Comment 9 Dj YB 2014-07-26 18:42:07 UTC
Created attachment 921226 [details]
File: proc_pid_status

Comment 10 Dj YB 2014-07-26 18:42:08 UTC
Created attachment 921227 [details]
File: var_log_messages

Comment 11 Fedora Update System 2014-09-27 14:06:39 UTC
lyx-2.1.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lyx-2.1.2-1.fc21

Comment 12 Fedora Update System 2014-09-27 14:07:44 UTC
lyx-2.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lyx-2.1.2-1.fc20

Comment 13 Fedora Update System 2014-09-27 14:08:24 UTC
lyx-2.1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lyx-2.1.2-1.fc19

Comment 14 José Matos 2014-09-27 14:25:12 UTC
Thank you for the report. :-)
I have been very busy in the last months and although I had not answer here (my bad) I followed it on the lyx mailing list.

I think that this bug was already solved for version 2.1.1 but I am sure that it is solved for this version and thus I am closing it after the this release gets to update.

Comment 15 Fedora Update System 2014-09-28 04:27:15 UTC
Package lyx-2.1.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lyx-2.1.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11756/lyx-2.1.2-1.fc20
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-10-03 04:01:45 UTC
lyx-2.1.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-10-10 15:59:07 UTC
lyx-2.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-10-10 16:05:21 UTC
lyx-2.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.